Subject: Re: draft-snell-atompub-feed-license-03.txt

From: James M Snell <[email-masked]>
Date: Fri, 21 Oct 2005 09:38:30 -0700

All,

Just wanted to clue y'all in on this conversation.  The Atom extension 
drafts listed below entered an "Unofficial last call" state about three 
weeks ago.  As of today I'm declaring these stable and will not be 
making any further changes on them unless a) significant bugs/problems 
are found or b) the Atom protocol works stretches out beyond the 
expiration date of the current drafts.  Once the Atom protocol work is 
complete, I will submit these as standards track RFC's as per Scott's 
preference stated in the notes below. 

http://www.ietf.org/internet-drafts/draft-snell-atompub-feed-license-03.txt
http://www.ietf.org/internet-drafts/draft-snell-atompub-feed-expires-05.txt 
(will publish soon on the IETF lists)
http://www.ietf.org/internet-drafts/draft-snell-atompub-feed-nofollow-03.txt 
(will publish soon on the IETF lists)

Thanks to everyone who submitted feedback on these.

- James

>>-----Original Message-----
>>From: James M Snell [mailto:[email-masked]] 
>>Sent: Friday, October 21, 2005 12:21 PM
>>To: Scott Hollenbeck
>>Cc: [email-masked]; [email-masked]
>>Subject: Re: draft-snell-atompub-feed-license-03.txt
>>
>>This is fine.  There really is no risk on this particular 
>>extension with 
>>the protocol draft but your suggestion sounds like good general 
>>practice.  For now I'll settle for informally declaring that 
>>the specs 
>>are stable and waiting for the primary work on the protocol to 
>>complete.  Thanks! :-)
>>
>>Scott Hollenbeck wrote:
>>
>>    
>>
>>>Frankly I'd prefer to wait on documents like this until after atompub
>>>completes both the format and protocol documents.  I realize 
>>>      
>>>
>>that there
>>    
>>
>>>isn't a normative dependency on the protocol document, but 
>>>      
>>>
>>I'd really prefer
>>    
>>
>>>to be sure that it stays that way.  You can try to convince 
>>>      
>>>
>>me that there's
>>    
>>
>>>no risk if you wish.
>>>
>>>The normal process, though, is for you to try to convince an 
>>>      
>>>
>>AD to shepherd
>>    
>>
>>>your work.  You can also send it directly to the RFC Editor 
>>>      
>>>
>>if you wish, but
>>    
>>
>>>they will then ask the IESG if there are any potential 
>>>      
>>>
>>conflicts or overlaps
>>    
>>
>>>with existing IETF work.  In short, it'll take longer.
>>>
>>>The AD then reviews the document, we deal with the review, 
>>>      
>>>
>>and a 4-week last
>>    
>>
>>>call is requested.  The doc goes through IESG evaluation 
>>>      
>>>
>>after the last
>>    
>>
>>>call, just like a working group document does.
>>>
>>>-Scott-
>>>
>>> 
>>>
>>>      
>>>
>>>>-----Original Message-----
>>>>From: James M Snell [mailto:[email-masked]] 
>>>>Sent: Friday, October 21, 2005 11:57 AM
>>>>To: Hollenbeck, Scott
>>>>Cc: [email-masked]; [email-masked]
>>>>Subject: draft-snell-atompub-feed-license-03.txt
>>>>
>>>>Hello Scott,
>>>>
>>>>Over the past couple of months I have been developing a number of 
>>>>extensions to Atom.  I believe that a couple of these are 
>>>>ready to move 
>>>>forward as standards-track RFC's as individual submissions.  
>>>>The first 
>>>>is draft-snell-atompub-feed-license-03.txt [1].  This spec 
>>>>defines a new 
>>>>license link relation than can be used to associate copyright 
>>>>licenses 
>>>>(e.g. creative commons) with Atom feeds and entries.  
>>>>        
>>>>
>>Feedback on the 
>>    
>>
>>>>spec has been received from members of the Atompub WG and 
>>>>        
>>>>
>>from folks 
>>    
>>
>>>>from Creative Commons and the larger XML developer community mostly 
>>>      
>>>
>>>>through direct feedback to me.
>>>>
>>>>If everything looks acceptable to you, what is the next step 
>>>>on moving 
>>>>this forward as a standards track rfc?
>>>>
>>>>- James
>>>> [email-masked]
>>>>
>>>>[1] 
>>>>http://www.ietf.org/internet-drafts/draft-snell-atompub-feed-l
>>>>icense-03.txt
>>>>
>>>>
>>>>   
>>>>
>>>>        
>>>>
>>> 
>>>
>>>      
>>>
>>    
>>
>
>
>  
>